<?php
/**
 * The Giapeto script to view bookmarks.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: giapeto/bookmarks/index.php,v 1.11 2005/01/03 14:34:51 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.11 $
 * @package giapeto
 */

@define('GIAPETO_BASE', dirname(__FILE__) . '/..');
require_once GIAPETO_BASE . '/lib/base.php';

/* Only registered users should be using this. */
if (!Auth::getAuth()) {
    Horde::authenticationFailureRedirect();
}

/* Set up the giapeto object. */
$giapeto = &Giapeto::singleton();

$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

$bookmark_list = $bookmarks->getBookmarks(true);
$template->set('bookmarks', $bookmark_list, true);

require GIAPETO_TEMPLATES . '/common-header.inc';
echo $template->fetch(GIAPETO_TEMPLATES . '/bookmarks/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
